{% load i18n %}
{% load staticfiles %}

<html>

<head>
  <!-- 定时刷新页面获取最新csrf避免错误 -->
    <meta http-equiv="refresh" content="60">
    <link rel="icon" type="image/ico" href="{% static '/img/zkicon.ico' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/login.css' %}" />
    <title>WDMS | Login</title>
</head>

<body class="login">
  <div id="container">
    <div style="text-align: center; color: #FFFFFF; font-family: 'Karla',sans-serif; font-weight: bold; text-rendering: optimizelegibility;">
      <h2>Welcome to WDMS</h2>
    </div>
    <div id="content" class="colM">
      <div id="content-main">
        {% if next %}
        <form action="/authentication/login/?next={{next}}" method="post" role="form">
        {% else %}
        <form action="{% url 'login' %}" method="post" role='form'>
        {% endif %}
          {% csrf_token %}

        {% for field in form.visible_fields %}
          <div class="form-row">

            <label for="{{ field.label }}">{{ field.label }}</label>
            {{ field }}

            {% if field.help_text %}
            <span class="help-block">{{ field.help_text|safe }}</span>
            {% endif %}

            {% for error in field.errors %}
            <div class="error">*{{ error }}</div>
            {% endfor %}

          </div>
        {% endfor%}

        <div class="submit-row">
            <input id="login_submit" type="submit" value="{% trans 'Log In' %}" />
        </div>

        </form>

      </div>
  </div>
</body>

</html>